import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetOtherOutParams, OriginalListParams} from '@models';

export const searchContext = createSearchContext();
export const pageContext = createPageContext();
export const contextState: OriginalListParams<GetOtherOutParams> = {
  askGoodsCode: '',
  materialCode: '',
  materialName: '',
  startTime: '',
  endTime: '',
  companyNumber: '',
  wbs: '',
  departmentCode: '',
  type: '',
};
export const context = createTableSearchContext(contextState);
